View Issue Details

IDProjectCategoryView StatusLast Update
14060Bug reports[All Projects] Central participant databasepublic2019-05-29 16:39
ReportersingerlaAssigned Top_teichmann 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.17.x 
Summary14060: Deleting a participant and associated surveys and all associated responses from CPDB not working
Description

It is not possible to delete a participant from CPDB including associated surveys and all associated responses.

Steps To Reproduce
  • add a participant to any survey
  • try to delete the participant from CPDB using the checkbox, "delete" and option 'ptta' ("Delete from central panel, associated surveys and all associated responses")
  • you will receive a PHP Error [500]:

Trying to get property 'survey' of non-object (/var/www/html/ls3/LimeSurvey/application/models/Participant.php:1001)

Additional Information
#0 /var/www/html/ls3/LimeSurvey/framework/base/CApplication.php(834): CErrorHandler->handle()

#1 /var/www/html/ls3/LimeSurvey/application/models/Participant.php(1001): LSYii_Application->handleError()
#2 /var/www/html/ls3/LimeSurvey/application/controllers/admin/participantsaction.php(390): Participant->deleteParticipantTokenAnswer()
#3 unknown(0): participantsaction->deleteParticipant()
#4 /var/www/html/ls3/LimeSurvey/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs()
#5 /var/www/html/ls3/LimeSurvey/application/core/Survey_Common_Action.php(83): participantsaction->runWithParamsInternal()
#6 /var/www/html/ls3/LimeSurvey/application/controllers/admin/participantsaction.php(55): participantsaction->runWithParams()
#7 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(308): participantsaction->runWithParams()
#8 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(286): AdminController->runAction()
#9 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(265): AdminController->runActionWithFilters()
#10 /var/www/html/ls3/LimeSurvey/application/controllers/AdminController.php(158): AdminController->run()
#11 /var/www/html/ls3/LimeSurvey/framework/web/CWebApplication.php(282): AdminController->run()
#12 /var/www/html/ls3/LimeSurvey/framework/web/CWebApplication.php(141): LSYii_Application->runController()
#13 /var/www/html/ls3/LimeSurvey/framework/base/CApplication.php(185): LSYii_Application->processRequest()
#14 /var/www/html/ls3/LimeSurvey/index.php(194): LSYii_Application->run()

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.8
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-VersionMariaDB-10.2.14
Server OS (if known)Debian stretch
Webserver software & version (if known)Apache/2.4.25
PHP Version 7.2.3

Relationships

related to 14517 closedp_teichmann CPDB - delete shared participants 

Activities

singerla

singerla

2018-09-17 10:22

reporter   ~49062

https://github.com/LimeSurvey/LimeSurvey/pull/1120

p_teichmann

p_teichmann

2019-05-21 10:37

administrator   ~52006

https://github.com/LimeSurvey/LimeSurvey/commit/8fc6061677fb1edb6127775b516afe039f757161

p_teichmann

p_teichmann

2019-05-29 16:12

administrator   ~52175

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28889

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52231

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 8fc60616

2019-05-20 18:44:22

p_teichmann

Details Diff
Fixed issue 14060: Deleting a participant and associated surveys and all associated responses from CPDB not working Affected Issues
14060
mod - application/models/Participant.php Diff File

Issue History

Date Modified Username Field Change
2018-09-17 10:09 singerla New Issue
2018-09-17 10:22 singerla Note Added: 49062
2019-04-30 10:23 cdorin Assigned To => p_teichmann
2019-04-30 10:23 cdorin Status new => assigned
2019-05-21 10:16 p_teichmann Relationship added related to 14517
2019-05-21 10:37 p_teichmann Status assigned => resolved
2019-05-21 10:37 p_teichmann Resolution open => fixed
2019-05-21 10:37 p_teichmann Fixed in Version => 3.17.x
2019-05-21 10:37 p_teichmann Note Added: 52006
2019-05-29 16:12 p_teichmann Changeset attached => LimeSurvey master 8fc60616
2019-05-29 16:12 p_teichmann Note Added: 52175
2019-05-29 16:39 c_schmitz Note Added: 52231
2019-05-29 16:39 c_schmitz Status resolved => closed